Favicon

You are here: Home > API Reference > App Distribution > Integration Employees > Update employee

Update employee

Update employee

PUT
https://api.applivery.io/v1/integrations/employees/{applicationEmployeeId}
curl -X PUT "https://api.applivery.io/v1/integrations/employees/{applicationEmployeeId}" \
  -H "Authorization: Bearer <YOUR_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
  "tags": [
    "string"
  ]
}'
const response = await fetch("https://api.applivery.io/v1/integrations/employees/{applicationEmployeeId}", {
  method: "PUT",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "tags": [
      "string"
    ]
  }),
});

const data = await response.json();
import requests

response = requests.put(
    "https://api.applivery.io/v1/integrations/employees/{applicationEmployeeId}",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
    json={
      "tags": [
        "string"
      ]
    },
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

applicationEmployeeId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Body Params application/json
tags array [string] optional
{
    "tags": [
        "string"
    ]
}

Responses

200 Response application/json
status boolean optional
data object optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
from string optional
store sdk dashboard integrationApi emm adm scim agent win
type string optional
traditional ldap saml customLogin temporal
email string optional
≤ 256 characters · Format: email
tags array [string] optional
{
    "status": true,
    "data": {
        "id": "string",
        "from": "store",
        "type": "traditional",
        "email": "[email protected]",
        "tags": [
            "string"
        ]
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}